# Ensembles

## Definitions

- **Un ensemble** : Une collection d'objets
- **Les éléments d'ensemble** : les objets de l'ensemble.
	- Soit A un ensemble, et a un élément de l'ensemble de A,
		- On dit que a appartient à A, noté \\(a \in A \\)
	- Si l'element a n'est pas dans A
		- On dit que a n'appartient pas à A, noté \\(a \notin A\\)
- **Un ensmble** peut **être définit**:
	- en **extension**, si on donne explicitement la liste de ses elements :
\\[ \\{1, 2, 3\\}\\]
	- En **comprehension**, si on donne une formule qui décrit exactement les élements de l'ensemble 
\\[ \\{x | P(x)\\}\\]

- Soient \\(A, B\\) 2 ensembles.
	- On dit que \\(A\\) est inclus a \\(B\\) noté \\(A \subseteq B\\)
		- \\(\forall x (x \in A) \implies (x \in B)\\)
- Soient \\(A, B\\) 2 ensembles.
	- \\(A\\) et \\(B\\) sont 
		- \\((A \subseteq B) \land (B \subseteq A)\\)

### Ensemble réguliers

Symbol | Nom | Ensemble
---|---|---
\\(\mathbb{N}\\)|\\(\\{0, 1, 2, 3, ...\\}\\)| Les Naturels
\\(\mathbb{Z}\\)|\\(\\{..., -2, -1, 0, 1, 2, ...\\}\\)| Les Entiers 
\\(\mathbb{Q}\\)|\\(\\{\frac{a}{b} \| a \in \mathbb{Z} \land b \in \mathbb{N} \land b \neq 0\\}\\)| Les Rationnels 
\\(\mathbb{R}\\)|Tous les nombres, non definit car long a ecrire| Les Réel 


